Bug 1261110 - VFIO/hostdev_passthrough: Migrate VM option should be grayed out when there is host device attached to VM.
VFIO/hostdev_passthrough: Migrate VM option should be grayed out when there i...
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
Unspecified Unspecified
low Severity low (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Martin Betak
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2015-09-08 11:21 EDT by Nisim Simsolo
Modified: 2016-01-21 06:35 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-21 06:35:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?

Attachments (Terms of Use)
webadmin screenshot (213.83 KB, image/png)
2015-09-08 11:23 EDT, Nisim Simsolo
no flags Details

  None (edit)
Description Nisim Simsolo 2015-09-08 11:21:43 EDT
Description of problem:
When attaching host device to VM, migrate VM option should be grayed out on this VM.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Navigate to virtual machines tab -> host device sub tab -> click on add device.
2. attach device to VM.
3. right click on VM or select VM.

Actual results:
"Migrate" option is available instead of being grayed out.

Expected results:
Migrate option should be grayed out.

Additional info:
Screenshot attached
Comment 1 Nisim Simsolo 2015-09-08 11:23:28 EDT
Created attachment 1071392 [details]
webadmin screenshot
Comment 2 Oved Ourfali 2015-09-09 02:35:48 EDT
Nisim - any reason not to put "virt" in whiteboard when opening virt bugs?
Comment 3 Red Hat Bugzilla Rules Engine 2015-11-30 15:59:43 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 4 Michal Skrivanek 2016-01-21 06:35:54 EST
Implementing a special case for host devices only doesn't bring much benefits.
As a generic case - the decision whether the VM can be migrated anywhere or not is done inside scheduling module, and it is a heavy operation.

Note You need to log in before you can comment on or make changes to this bug.